
QGIS Application - Bug report #20157

Qgis freezes when opening Postgresql connection

2018-10-18 02:18 PM - Clara Tattoni

Status: Closed

Priority: High

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.18.20 Regression?: No

Operating System: Ubuntu 16.04.5 LTS Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27978

Description

I have created a connection to a remote Postgresql within a qgis project.

First time it worked fine.

When I reopened the project qgis became freezed.

I opened created a new project , delete the old connection and made a new one  to same DB. It freezes when testing the connection.

The remote DB is accessible via PGadmin. 

I renamed .qgis folder and the problem persists.

Thank you!

Clara

History

#1 - 2018-10-18 03:05 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

No problems here (on Linux) on both 2.18 and 3.3 with remote PostGIS connections.

Can you try if using 3.3 makes any difference?

#2 - 2019-01-21 12:35 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-02-24 10:17 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
